<script lang="ts">
    import type { Target } from '$lib/TypeDefinitions.js'
    import {
        SIDEBAR_SIZE_HIDDEN,
        sidebar_size
    } from '$lib/ui/Store.js'

    export let targets: Target[];

    function handle_link_click() {
        sidebar_size.set($SIDEBAR_SIZE_HIDDEN);
    }
</script>

<div class="sidebar_group">
    {#each targets as target}
        <!-- svelte-ignore a11y-click-events-have-key-events -->
        <!-- svelte-ignore a11y-no-static-element-interactions -->
        <div class="content" on:click={handle_link_click}>
            <a href={target.link}>{target.label}</a>
        </div>
    {/each}
</div>

<style>
    .sidebar_group {
        padding: 8px 8px 8px 30px;
        display: block;
        transition: 0.5s;
        cursor: pointer;
    }
</style>
